id: wordpress-extendify

info:
  name: Extendify Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/extendify/
  metadata:
    plugin_namespace: extendify
    wpscan: https://wpscan.com/plugin/extendify
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/extendify/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/extendify.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100f2e9bf6fc22a12fc5ff7e6da20c938cb340deef41abe3904171183e4a95856b202210096ccba05a19cd91bc0e052e0e031ff87d36afae64159bda06f185ea2ced25385:922c64590222798bb761d5b6d8e72950